<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Реклама
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
registrat();
$adminka ->admin();
if($_GET['id']){$id = $_GET['id'];}
$reklama_menu = mysql_fetch_array(mysql_query("SELECT * FROM `reklama` WHERE `id` = '$id'"));

   switch($act):

   case'':
$shcmsengine['title'] = 'Рекламные материалы';
include_once'../template/head.php';
echo '<div class="posts"><img src="/template/icon/reklama.png"/> <a href="?act=act_rekl">Активные рекламы и счетчики</a></div>';
echo '<div class="posts"><img src="/template/icon/reklama.png"/> <a href="?act=up">Вверхняя часть</a></div>';
echo '<div class="posts"><img src="/template/icon/reklama.png"/> <a href="?act=down">Нижняя часть</a></div>';
   break;

   case 'act_rekl':
$shcmsengine['title'] = 'Активные рекламы и счетчики';
include_once'../template/head.php';

   /*
   =============================
   Активные рекламы
   =============================
   */ 
   
echo '<center><b>Активные рекламы</b></center>';
  $reklam = mysql_query("SELECT * FROM `reklama` WHERE `list`= 'Вверхняя часть' ORDER BY `id` DESC");
    if(mysql_num_rows($reklam) == 0) {
       echo '<div class="posts"><img src="../template/icon/empty.png"> Сейчас нет активных реклам</div>';
    }else{
    
while($reklam_p = mysql_fetch_array($reklam)) {
echo '<div class="posts">';
   echo '<b><img src="../template/icon/rekl.png"/> '.$reklam_p['title'].'</b>';
   echo "<br/>Ссылка: $reklam_p[link]";
   echo "<br/>Добавлено: ".$timedate->times($reklam_p['time'])."";
   echo '<br>Окончание: '.$timedate->times($reklam_p['time_end']).'';
   echo "<br/>Позиция: $reklam_p[list]";
   echo "<span class='mainforum'><a title='Редактировать' href='?id=$reklam_p[id]&act=edit'><img src='/template/icon/edit.png'></a>
<a title='Удаление раздела' href='?id=$reklam_p[id]&act=delete'><img src='/template/icon/delete.png'></a></span><br/>";
echo '</div>';}}

   /*
   =============================
   Активные счетчики и баннеры
   =============================
   */ 
   
echo '<center><b>Активные счетчики и баннеры</b></center>';
$reklam1 = mysql_query("SELECT * FROM `reklama` WHERE `list`= 'Нижняя часть' ORDER BY `id` DESC");

    if(mysql_num_rows($reklam1) == 0) {
       echo '<div class="posts"><img src="../template/icon/empty.png"> Активных счетчиков и баннеров нет</div>';
    }else{
while($reklam_p1 = mysql_fetch_array($reklam1)) {
   echo '<div class="posts">';
   echo '<b><img src="../template/icon/rekl.png"/> Счетчик</b>';
   echo "<br/>Ссылка: $reklam_p1[link]";
   echo "<br/>Изображение: $reklam_p1[img]";
   echo '<br/>Добавлено: '.$timedate->times($reklam_p1['time']).'';
   echo "<br/>Позиция: $reklam_p1[list]";
   echo "<span class='mainforum'><a title='Редактировать' href='?id=$reklam_p1[id]&act=edit_banner'><img src='/template/icon/edit.png'></a>
<a title='Удаление раздела' href='?id=$reklam_p1[id]&act=delete'><img src='/template/icon/delete.png'></a></span><br/>";
echo '</div>'; }}

echo '<div class="link_str"><a href="reklama.php">Назад</a></div>';

   break;

   case 'delete':
   $shcmsengine['title'] = 'Удаление рекламной площадки';
include_once'../template/head.php';

   $delete_reklama = mysql_query("DELETE FROM `reklama` WHERE `id` = '$id'");
   if($delete_reklama == true){
    messag('Рекламная площадка успешно удалена');
	header('Refresh: 1; url=?');
   }else {
   errors('Ошибка при удаление рекламной площадки');
   header('Refresh: 1; url=?');
   }
    echo '<div class="link_str"><a href="reklama.php">Назад</a></div>';
   break;
   
   case 'edit':
$shcmsengine['title'] = 'Редактор рекламной площадки';
include_once'../template/head.php';

  if($_POST['submit']){
   $submit = $_POST['submit'];
  }
if(isset($submit)){ 

  if($_POST['name']){
    $name = $_POST['name'];
  }
  if($_POST['link']){
    $link = $_POST['link'];
  }
$rekl_times = $reklama_menu['time_end'] + intval($_POST['rekl_times']);
  if($_POST['setup']){
   $setup = $_POST['setup'];
  }

  
$edit_menu = mysql_query("UPDATE `reklama` SET `time_end` = '$rekl_times' WHERE `id`= '$id'");
  if($edit_menu == true) {
    messag("Изменение успешно сохранены");
	header('Refresh: 1; url=?');
  }else{
    errors('Возникла ошибка при изменение рекламы');
	header('Refresh: 1; url=?');
 }
}

echo '<form action="?act=edit&id='.$id.'" method="post">';
   echo 'Нзавание рекламы:<br/><input type="text" name="name" value="'.$reklama_menu['title'].'">';
   echo '<br/>Название ссылки:<br/><input type="text" name="link" value="'.$reklama_menu['link'].'">';
   echo '<br/>Продление:<br/>';
   tim('rekl_times');
   echo '<br/><input type="submit" name="submit">';
   echo '</form>';

 echo '<div class="link_str"><a href="reklama.php">Назад</a></div>';
   break;


   case 'edit_banner':
$shcmsengine['title'] = 'Редактор рекламной площадки';
include_once'../template/head.php';

  if($_POST['submit']){
   $submit = $_POST['submit'];
  }
if(isset($submit)){ 

  if($_POST['name']){
    $name = $_POST['name'];
  }
  if($_POST['link']){
    $link = $_POST['link'];
  }
$rekl_times = $reklama_menu['time_end'] + intval($_POST['rekl_times']);
  if($_POST['setup']){
   $setup = $_POST['setup'];
  }

  
$edit_menu = mysql_query("UPDATE `reklama` SET `link` = '$name',`img` = '$link' WHERE `id`= '$id'");
  if($edit_menu == true) {
    messag("Изменение успешно сохранены");
	header('Refresh: 1; url=?');
  }else{
    errors('Возникла ошибка при изменение рекламы');
	header('Refresh: 1; url=?');
 }
}

   echo '<form action="?act=edit_banner&id='.$id.'" method="post">';
   echo 'Путь ссылки:<br/><input type="text" name="name" value="'.$reklama_menu['link'].'">';
   echo '<br/>Путь изображения:<br/><input type="text" name="link" value="'.$reklama_menu['img'].'">';
   echo '<br/><input type="submit" name="submit">';
   echo '</form>';
   echo '<div class="link_str"><a href="reklama.php">Назад</a></div>';

   break;


   case 'up':
$shcmsengine['title'] = 'Добавление рекламы';
include_once'../template/head.php';


  if($_POST['submit']){
   $submit = $_POST['submit'];
  }
if(isset($submit)){ 

  if($_POST['name']){
    $name = $_POST['name'];
  }
  if($_POST['link']){
    $link = $_POST['link'];
  }
$rekl_times = intval($_POST['rekl_times']) + time();
  if($_POST['setup']){
   $setup = $_POST['setup'];
  }
  
  

if(empty($name)) {
echo '<div class="errors">Введите название рекламы</div>';
header('Refresh: 1; url=?act=up' );
include_once'../template/foot.php';
exit();
}

if(empty($link)) {
echo '<div class="errors">Введите название ссылки</div>';
header('Refresh: 1; url=?act=up' );
include_once'../template/foot.php';
exit();
}

$rekl_up = mysql_query("INSERT INTO `reklama` (`title`,`link`,`time`,`setup`,`list`,`time_end`) VALUES ('$name','$link','".time()."','$setup','Вверхняя часть','$rekl_times')");
  if($rekl_up == true) {
   messag("Рекламная площадка успешно добавлена");
   header('Refresh: 1; url=?act=up' );
  }else {
   errors("Возникла ошибка при добавление рекламной площадки");
   header('Refresh: 1; url=?act=up' );
  }
}

   echo '<form action="?act=up" method="post">';
   echo 'Название рекламы:<br/><input type="text" name="name">';
   echo '<br/>Название ссылки:<br/><input type="text" name="link">';
   echo '<br/>Время окончания:<br/>';
   tim('rekl_times');
   echo '<br/>Установка<br/><select name="setup"><option value="1">На главной</option></select>';
   echo '<br/><input type="submit" name="submit">';
   echo '</form>';
   echo '<div class="link_str"><a href="reklama.php">Назад</a></div>';
   
   break;
   
   case'down':
   $shcmsengine['title'] = 'Добавление рекламы';
   include_once'../template/head.php';


  if($_POST['submit']){
   $submit = $_POST['submit'];
  }
if(isset($submit)){ 


  if($_POST['text']){
    $link = $_POST['text'];
  }
    $rekl_times = intval($_POST['rekl_times']) + time();

  if(preg_match('#<a +href\="(.+?)"><img +src\="(.+?)" +alt\="(.+?)" ?/></a>#ui',$link,$url)) {


if(empty($link)) {
echo '<div class="errors">Введите название ссылки</div>';
header('Refresh: 1; url=?act=down' );
include_once'../template/foot.php';
exit();
}
$rekl_up = mysql_query("INSERT INTO `reklama` (`link`,`time`,`list`,`img`) VALUES ('".$url[1]."','".time()."','Нижняя часть','".$url[2]."')");
  if($rekl_up == true) {
   messag("Рекламная площадка успешно добавлена");
   header('Refresh: 1; url=?act=down' );
  }else {
   errors("Возникла ошибка при добавление рекламной площадки");
   header('Refresh: 1; url=?act=down' );
  }
}
}
   echo '<form action="?act=down" method="post">';
   echo 'Код счетчика или баннера:<br/><textarea name="text"></textarea>';
   echo '<input type="submit" name="submit">';
   echo '</form>';
   echo 'Пример вставки кода:<br/><small><а href="код ссылки"><\img src="код картинки" alt="Название"/>< /a></small>';
   
   break;
   
   endswitch;



include_once'../template/foot.php';

?>